import dayjs from "dayjs";

const utc = require("dayjs/plugin/utc");
const customParseFormat = require("dayjs/plugin/customParseFormat");
const timezone = require("dayjs/plugin/timezone");
dayjs.extend(utc);
dayjs.extend(customParseFormat);
dayjs.extend(timezone);

require("dayjs/locale/en");
require("dayjs/locale/de");

export function formatDateFromDB(date, locale) {
  dayjs.locale(locale);
  const d = dayjs(date).tz("Europe/Zurich");
  return locale == "de" ? d.format("dd, DD.MM.YY") : d.format("ddd, DD.MM.YY");
}

export function formatTimeFromDB(startTime, endTime) {
  const s = dayjs(startTime).tz("Europe/Zurich");
  const e = dayjs(endTime).tz("Europe/Zurich");
  return s.format("HH:mm") + " – " + e.format("HH:mm");
}

export function isInFuture(event) {
  const now = new Date();
  now.setDate(now.getDate() - 1);
  return event.date > now.toISOString();
}
